.header {
    position: fixed;
    top: 1rem;
    left: 50%;
    transform: translateX(-50%);
    width: 85%;
    padding: 1rem 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: linear-gradient(180deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    backdrop-filter: blur(var(--blur-amount));
    -webkit-backdrop-filter: blur(var(--blur-amount));
    border-radius: calc(var(--border-radius) + 70px);
    border: 1px solid rgba(255, 255, 255, 0.18); */
    box-sizing: border-box;
    /* box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37); */
    z-index: -1;
}

.logo {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    /* space if you use text + image */
    height: 3.5rem;
    /* controls logo size */
    color: #fff;
    text-decoration: none;
    font-weight: 700;
    font-size: 2rem;
}

.logo img {
    height: 100%;
    width: auto;
    display: block;
    object-fit: contain;
}

.logo-text {
    display: block;
    font-size: 1.65rem;
}


.navbar a {
    font-size: 1.15rem;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
}

#check {
    display: none;
}

.icons {
    position: absolute;
    right: 0;
    padding: 5%;
    font-size: 2.8rem;
    color: #fff;
    cursor: pointer;
    display: none;
}

@media only screen and (max-width: 1150px){
    .logo-text {
        display: none;
    }
}

@media only screen and (max-width: 910px) {
    .header {
        width: 95%;
    }

    .icons {
        display: inline-flex;
    }

    #check:checked~.icons #menu-icon {
        display: none;
    }

    #check:checked~.icons #close-icon {
        display: block;
    }

    .icons #close-icon {
        display: none;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 10%;
        width: 80%;
        height: 0;
        opacity: 0;
        background: linear-gradient(180deg, rgb(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
        backdrop-filter: blur(var(--blur-amount));
        -webkit-backdrop-filter: blur(var(--blur-amount));
        border-radius: calc(var(--border-radius));
        /* border-top-left-radius: 0;
        border-top-right-radius: 0; */
        border-bottom: 1px solid rgba(255, 255, 255, 0.18);
        border-left: 1px solid rgba(255, 255, 255, 0.18);
        border-right: 1px solid rgba(255, 255, 255, 0.18);
        overflow: hidden;
        transition: .3s ease;
        z-index: 99;
    }

    #check:checked~.navbar {
        height: 18rem;
        opacity: 1;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 1.5rem 0;
        text-align: center;
        opacity: 0;
        transform: translateY(-50px);
        transition: .3s ease;
    }

    #check:checked~.navbar a {
        transform: translateY(0);
        opacity: 1;
        transition-delay: calc(0.15s * var(--i));
    }

    
}